SLONIK DROP SET(7)

NAME
DROP SET - Discard Slony-I replication set

SYNOPSIS
DROP SET (options);

DESCRIPTION

Drop a set of tables from the Slony-I configuration. This automatically unsubscribes all nodes from the set and restores the original triggers and rules on all subscribers.

ID = ival
    ID of the set to be dropped.

ORIGIN = ival
    Current origin node of the set.

This uses dropset(integer).

EXAMPLE
  DROP SET ( ID = 5,
             ORIGIN = 2 );

LOCKING BEHAVIOUR

On each node, this will require taking out exclusive locks on each replicated table in order to modify the table schema to clean up the triggers and rules.

SLONIK EVENT CONFIRMATION BEHAVIOUR

Slonik waits for the command submitted to the previous event node to be confirmed on the specified event node before submitting this command.

VERSION INFORMATION

This command was introduced in Slony-I 1.0